> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Product Search

> Search Amazon products by keyword or ASIN. Filter by category, price range, brand, Prime eligibility, and customer ratings. Sort results by relevance, price, reviews, or newest arrivals.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">3 credits</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/amazon/search.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/amazon/search

Description: Product Search

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- query (Required): Search query (supports both free-form text queries or a product asin).. Example: Phone
- page (Optional): Results page to return. Example: 1
- country (Optional): Sets the Amazon domain, marketplace country, language and currency
Allowed values: US, AU, BR, CA, CN, FR, DE, IN, IT, MX, NL, SG, ES, TR, AE, GB, JP, SA, PL, SE, BE, EG, ZA, IE. Example: us
- sort_by (Optional): Return the results in a specific sort order
Allowed values: RELEVANCE, LOWEST_PRICE, HIGHEST_PRICE, REVIEWS, NEWEST, BEST_SELLERS. Example: RELEVANCE
- category_id (Optional): Find products in a specific category / department (e.g. computers-intl-ship). Use the Product Category List endpoint to get a list of valid categories and their ids for the country specified in the request. For numeric Amazon category IDs, use the category parameter instead. Example: aps
- category (Optional): Filter by specific numeric Amazon category. The category ID can be obtained from the Amazon category results URL, for example: https://amazon.com/s?node=2858778013 - the Amazon Category ID is 2858778013. Multiple category values can be separated by comma (e.g. categoryId1,categoryId2)
- min_price (Optional): Only return product offers with price greater than a certain value. Specified in the currency of the selected country. For example, in case country=US, a value of 105.34 means $105.34. Example: 0
- max_price (Optional): Only return product offers with price lower than a certain value. Specified in the currency of the selected country. For example, in case country=US, a value of 105.34 means $105.34. Example: 1000
- product_condition (Optional): Return products in a specific condition
Allowed values: ALL, NEW, USED, RENEWED, COLLECTIBLE. Example: ALL
- brand (Optional): Find products with a specific brand. Multiple brands can be specified as a comma (,) separated list. The brand values can be seen from Amazon's search left filters panel, as seen here
Examples:
  SAMSUNG
  Google,Apple. Example: SAMSUNG
- seller_id (Optional): Find products sold by specific seller (merchant). Multiple sellers can be specified as a comma (,) separated list
Examples:
      A02211013Q5HP3OMSZC7W
      AM7YCCDZROLB2,A1D09S7Q0OD6TH
- is_prime (Optional): Only return prime products. Example: false
- deals_and_discounts (Optional): Return deals and discounts in a specific condition
Allowed values: NONE, ALL_DISCOUNTS, TODAYS_DEALS. Example: NONE
- four_stars_and_up (Optional): Return product listings with ratings of 4 stars & up
- language (Optional): The language of the results. In case not specified, results will be returned in the default domain language
Supported languages per country:
US: en_US, es_US
AU: en_AU
BR: pt_BR
CA: en_CA, fr_CA
FR: fr_FR, en_GB
DE: de_DE, en_GB, cs_CZ, nl_NL, pl_PL, tr_TR, da_DK
IN: en_IN, hi_IN, ta_IN, te_IN, kn_IN, ml_IN, bn_IN, mr_IN
IT: it_IT, en_GB
MX: es_MX
NL: nl_NL, en_GB
SG: en_SG
ES: es_ES, pt_PT, en_GB
TR: tr_TR
AE: en_AE, ar_AE
GB: en_GB
JP: ja_JP, en_US, zh_CN
SA: ar_AE, en_AE
PL: pl_PL
SE: sv_SE, en_GB
BE: fr_BE, nl_BE, en_GB
EG: ar_AE, en_AE
ZA: en_ZA
IE: en_IE
- additional_filters (Optional): Any filters available on the Amazon page but not part of this endpoint's parameters. The filter values can be extracted from the rh parameter in the Amazon search URL after applying the filter of interest on the Amazon search results page. Multiple filters are supported and can be separated by comma (,).

For example, when searching for science books with the Paperback book format filter selected, the Amazon URL is: https://www.amazon.com/s?k=science+books&rh=p_n_feature_browse-bin%3A2656022011 and the rh parameter value is p_n_feature_browse-bin%3A2656022011 - To filter for Paperback books, set the value of additional_parameters=p_n_feature_browse-bin%3A2656022011.
- fields (Optional): A comma separated list of product fields to include in the response (field projection). By default all fields are returned.
Example: product_price,product_url,is_best_seller,sales_volume

Example Response:
{
"code": 0,
"message": "success",
"data": {
"total_products": 2684,
"country": "US",
"domain": "www.amazon.com",
"products": [
  {
    "asin": "B0G4SW3XXP",
    "product_title": "Samsung Galaxy S26 Ultra, Unlocked Android Smartphone, 512GB, Privacy Display, Galaxy AI, AI Camera, Super Fast Charging 3.0, Durable Battery, 2026, US 1 Year Warranty, Black",
    "product_price": "$1,299.99",
    "product_original_price": "$1,499.99",
    "currency": "USD",
    "product_star_rating": null,
    "product_num_ratings": 0,
    "product_url": "https://www.amazon.com/dp/B0G4SW3XXP",
    "product_photo": "https://m.media-amazon.com/images/I/61UnzIc+97L._AC_UY654_QL65_.jpg",
    "product_num_offers": 1,
    "product_minimum_offer_price": "$1,299.99",
    "is_best_seller": false,
    "is_amazon_choice": false,
    "is_prime": false,
    "climate_pledge_friendly": false,
    "sales_volume": "New on Amazon in past month",
    "delivery": "FREE deliveryThis item will be released on March 11, 2026.",
    "has_variations": true,
    "product_badge": "Limited time deal"
  },
  {
    "asin": "B0DM1S54MZ",
    "product_title": "Samsung Galaxy A16 4G LTE (128GB + 4GB) International Model SM-A165F/DS Factory Unlocked, 6.7&quot;, Dual SIM, 50MP Triple Camera (Case Bundle), Black",
    "product_price": "$127.50",
    "product_original_price": null,
    "currency": "USD",

... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/amazon.openapi.json GET /v1/amazon/search
openapi: 3.0.1
info:
  title: Amazon API english documentation
  description: >-
    The english reference documentation of the Amazon API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production
security: []
tags: []
paths:
  /v1/amazon/search:
    get:
      tags: []
      summary: Product Search
      description: >-
        Search Amazon products by keyword or ASIN. Filter by category, price
        range, brand, Prime eligibility, and customer ratings. Sort results by
        relevance, price, reviews, or newest arrivals.
      parameters:
        - name: query
          in: query
          description: >-
            Search query (supports both free-form text queries or a product
            asin).
          required: true
          example: Phone
          schema:
            type: string
            example: Phone
        - name: page
          in: query
          description: Results page to return
          required: false
          example: 1
          schema:
            type: number
            default: 1
        - name: country
          in: query
          description: >-
            Sets the Amazon domain, marketplace country, language and currency

            Allowed values: US, AU, BR, CA, CN, FR, DE, IN, IT, MX, NL, SG, ES,
            TR, AE, GB, JP, SA, PL, SE, BE, EG, ZA, IE
          required: false
          example: US
          schema:
            type: string
            default: US
        - name: sort_by
          in: query
          description: >-
            Return the results in a specific sort order

            Allowed values: RELEVANCE, LOWEST_PRICE, HIGHEST_PRICE, REVIEWS,
            NEWEST, BEST_SELLERS
          required: false
          example: RELEVANCE
          schema:
            type: string
            default: RELEVANCE
        - name: category_id
          in: query
          description: >-
            Find products in a specific category / department (e.g.
            computers-intl-ship). Use the Product Category List endpoint to get
            a list of valid categories and their ids for the country specified
            in the request. For numeric Amazon category IDs, use the category
            parameter instead
          required: false
          example: aps
          schema:
            type: string
            default: aps
        - name: category
          in: query
          description: >-
            Filter by specific numeric Amazon category. The category ID can be
            obtained from the Amazon category results URL, for example:
            https://amazon.com/s?node=2858778013 - the Amazon Category ID is
            2858778013. Multiple category values can be separated by comma (e.g.
            categoryId1,categoryId2)
          required: false
          schema:
            type: string
        - name: min_price
          in: query
          description: >-
            Only return product offers with price greater than a certain value.
            Specified in the currency of the selected country. For example, in
            case country=US, a value of 105.34 means $105.34
          required: false
          example: 1
          schema:
            type: number
            default: 1
        - name: max_price
          in: query
          description: >-
            Only return product offers with price lower than a certain value.
            Specified in the currency of the selected country. For example, in
            case country=US, a value of 105.34 means $105.34
          required: false
          example: 1000
          schema:
            type: number
            default: 1000
        - name: product_condition
          in: query
          description: |-
            Return products in a specific condition
            Allowed values: ALL, NEW, USED, RENEWED, COLLECTIBLE
          required: false
          example: ALL
          schema:
            type: string
            default: ALL
        - name: brand
          in: query
          description: >-
            Find products with a specific brand. Multiple brands can be
            specified as a comma (,) separated list. The brand values can be
            seen from Amazon's search left filters panel, as seen here

            Examples:
                  SAMSUNG
                  Google,Apple
          required: false
          example: SAMSUNG
          schema:
            type: string
        - name: seller_id
          in: query
          description: >-
            Find products sold by specific seller (merchant). Multiple sellers
            can be specified as a comma (,) separated list

            Examples:
                      A02211013Q5HP3OMSZC7W
                      AM7YCCDZROLB2,A1D09S7Q0OD6TH
          required: false
          schema:
            type: string
        - name: is_prime
          in: query
          description: Only return prime products
          required: false
          example: 'false'
          schema:
            type: boolean
            default: false
        - name: deals_and_discounts
          in: query
          description: |-
            Return deals and discounts in a specific condition
            Allowed values: NONE, ALL_DISCOUNTS, TODAYS_DEALS
          required: false
          example: NONE
          schema:
            type: string
            default: NONE
        - name: four_stars_and_up
          in: query
          description: Return product listings with ratings of 4 stars & up
          required: false
          schema:
            type: boolean
        - name: language
          in: query
          description: >-
            The language of the results. In case not specified, results will be
            returned in the default domain language

            Supported languages per country:

            US: en_US, es_US

            AU: en_AU

            BR: pt_BR

            CA: en_CA, fr_CA

            FR: fr_FR, en_GB

            DE: de_DE, en_GB, cs_CZ, nl_NL, pl_PL, tr_TR, da_DK

            IN: en_IN, hi_IN, ta_IN, te_IN, kn_IN, ml_IN, bn_IN, mr_IN

            IT: it_IT, en_GB

            MX: es_MX

            NL: nl_NL, en_GB

            SG: en_SG

            ES: es_ES, pt_PT, en_GB

            TR: tr_TR

            AE: en_AE, ar_AE

            GB: en_GB

            JP: ja_JP, en_US, zh_CN

            SA: ar_AE, en_AE

            PL: pl_PL

            SE: sv_SE, en_GB

            BE: fr_BE, nl_BE, en_GB

            EG: ar_AE, en_AE

            ZA: en_ZA

            IE: en_IE
          required: false
          schema:
            type: string
        - name: additional_filters
          in: query
          description: >-
            Any filters available on the Amazon page but not part of this
            endpoint's parameters. The filter values can be extracted from the
            rh parameter in the Amazon search URL after applying the filter of
            interest on the Amazon search results page. Multiple filters are
            supported and can be separated by comma (,).


            For example, when searching for science books with the Paperback
            book format filter selected, the Amazon URL is:
            https://www.amazon.com/s?k=science+books&rh=p_n_feature_browse-bin%3A2656022011
            and the rh parameter value is p_n_feature_browse-bin%3A2656022011 -
            To filter for Paperback books, set the value of
            additional_parameters=p_n_feature_browse-bin%3A2656022011.
          required: false
          schema:
            type: string
        - name: fields
          in: query
          description: >-
            A comma separated list of product fields to include in the response
            (field projection). By default all fields are returned.

            Example: product_price,product_url,is_best_seller,sales_volume
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  total_products: 2684
                  country: US
                  domain: www.amazon.com
                  products:
                    - asin: B0G4SW3XXP
                      product_title: >-
                        Samsung Galaxy S26 Ultra, Unlocked Android Smartphone,
                        512GB, Privacy Display, Galaxy AI, AI Camera, Super Fast
                        Charging 3.0, Durable Battery, 2026, US 1 Year Warranty,
                        Black
                      product_price: $1,299.99
                      product_original_price: $1,499.99
                      currency: USD
                      product_star_rating: null
                      product_num_ratings: 0
                      product_url: https://www.amazon.com/dp/B0G4SW3XXP
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61UnzIc+97L._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $1,299.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: New on Amazon in past month
                      delivery: >-
                        FREE deliveryThis item will be released on March 11,
                        2026.
                      has_variations: true
                      product_badge: Limited time deal
                    - asin: B0DM1S54MZ
                      product_title: >-
                        Samsung Galaxy A16 4G LTE (128GB + 4GB) International
                        Model SM-A165F/DS Factory Unlocked, 6.7&quot;, Dual SIM,
                        50MP Triple Camera (Case Bundle), Black
                      product_price: $127.50
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 3412
                      product_url: https://www.amazon.com/dp/B0DM1S54MZ
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61Lp1UcxeLL._AC_UY654_QL65_.jpg
                      product_num_offers: 1
                      product_minimum_offer_price: $127.50
                      is_best_seller: false
                      is_amazon_choice: true
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 3K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: true
                      product_badge: Overall Pick
                    - asin: B0DT4T8D65
                      product_title: >-
                        SAMSUNG Galaxy A16 4G LTE (128GB + 4GB) International
                        Model SM-A165F/DS Factory Unlocked 6.7&quot; Dual Sim
                        50MP Dual Cam (Case Bundle) (Gray)
                      product_price: $124.69
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 3412
                      product_url: https://www.amazon.com/dp/B0DT4T8D65
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51jEBZHYs3L._AC_UY654_QL65_.jpg
                      product_num_offers: 14
                      product_minimum_offer_price: $109.50
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: FREE delivery Tue, Mar 10Or fastest delivery Sat, Mar 7
                      has_variations: true
                      book_formats:
                        - asin: B0DT4T8D65
                          format: Another way to buy
                        - asin: B0DT4T8D65
                          format: >-
                            Price product page$129.50$129.50 FREE delivery Tue,
                            Mar 10Or fastest delivery Tomorrow, Mar 6
                    - asin: B0FXY1DZ78
                      product_title: >-
                        Samsung Galaxy A17 5G Smart Phone, 128GB, Large AMOLED,
                        High-Res Camera, Durable Design, Super Fast Charging,
                        Expandable Storage, Circle to Search, 2025, US 1 Yr
                        Manufacturer Warranty, Blue
                      product_price: $199.99
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4'
                      product_num_ratings: 115
                      product_url: https://www.amazon.com/dp/B0FXY1DZ78
                      product_photo: >-
                        https://m.media-amazon.com/images/I/710u7UnAyWL._AC_UY654_QL65_.jpg
                      product_num_offers: 2
                      product_minimum_offer_price: $181.80
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Overnight 7
                        AM - 11 AM
                      has_variations: true
                    - asin: B084KS5WYC
                      product_title: >-
                        Samsung Galaxy A10e 32GB A102U GSM Unlocked Phone -
                        Black (Renewed) | A102U, GSM, Phone
                      product_price: $70.88
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4'
                      product_num_ratings: 4096
                      product_url: https://www.amazon.com/dp/B084KS5WYC
                      product_photo: >-
                        https://m.media-amazon.com/images/I/71Eh6YWqqyL._AC_UY654_QL65_.jpg
                      product_num_offers: 12
                      product_minimum_offer_price: $65.00
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: false
                    - asin: B09VH9BKHS
                      product_title: >-
                        Samsung Galaxy S22+ 5G S906U 128GB GSM/CDMA Unlocked
                        Android Smartphone (USA Version) - Phantom Black
                        (Renewed)
                      product_price: $200.99
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.1'
                      product_num_ratings: 1708
                      product_url: https://www.amazon.com/dp/B09VH9BKHS
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61R5xNY4ZWL._AC_UY654_QL65_.jpg
                      product_num_offers: 25
                      product_minimum_offer_price: $159.63
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: true
                    - asin: B0DNRFGBQ4
                      product_title: >-
                        SAMSUNG Galaxy A16 4G Dual SIM (128GB, 2025) 6.7&quot;
                        90Hz AMOLED, Splash Resistant, 8Core, 50MP Camera
                        (Factory Unlocked International Model for GSM, Global)
                        A165M/DS (25W Fast Charger Bundle, Black)
                      product_price: $127.50
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 1841
                      product_url: https://www.amazon.com/dp/B0DNRFGBQ4
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51PEgOzPKLL._AC_UY654_QL65_.jpg
                      product_num_offers: 14
                      product_minimum_offer_price: $124.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 2K+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: true
                    - asin: B0FG1THCD7
                      product_title: >-
                        Samsung Galaxy S25 FE Cell Phone (2025), 256GB AI
                        Smartphone, Unlocked Android, Large Display, 4900mAh
                        Battery, High Res-Camera, AI Photo Edits, Durable, US 1
                        Yr Warranty, JetBlack
                      product_price: $612.00
                      product_original_price: $709.99
                      currency: USD
                      product_star_rating: '4.6'
                      product_num_ratings: 544
                      product_url: https://www.amazon.com/dp/B0FG1THCD7
                      product_photo: >-
                        https://m.media-amazon.com/images/I/61JvXODKxOL._AC_UY654_QL65_.jpg
                      product_num_offers: 10
                      product_minimum_offer_price: $530.19
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 500+ bought in past month
                      delivery: FREE delivery Mar 10 - 13Or fastest delivery Mar 10 - 12
                      has_variations: true
                    - asin: B08HQZC2XK
                      product_title: >-
                        Samsung Electronics Galaxy Note 20 5G Unlocked Android
                        Cell Phone | US Version | 128GB of Storage | Mobile
                        Gaming Smartphone | Long-Lasting Battery | Mystic Gray
                        (Renewed)
                      product_price: $193.00
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4'
                      product_num_ratings: 2630
                      product_url: https://www.amazon.com/dp/B08HQZC2XK
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51r9YwvPfsL._AC_UY654_QL65_.jpg
                      product_num_offers: 23
                      product_minimum_offer_price: $159.00
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      product_availability: Only 19 left in stock - order soon.
                      climate_pledge_friendly: false
                      sales_volume: 500+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6Only 19 left in stock - order soon.
                      has_variations: false
                    - asin: B089HPTDK5
                      product_title: >-
                        Samsung Galaxy A50 A505U 64GB GSM Unlocked Smartphone -
                        Black (Renewed)
                      product_price: $86.44
                      product_original_price: null
                      currency: USD
                      product_star_rating: '3.8'
                      product_num_ratings: 641
                      product_url: https://www.amazon.com/dp/B089HPTDK5
                      product_photo: >-
                        https://m.media-amazon.com/images/I/71N3nJoPQ+L._AC_UY654_QL65_.jpg
                      product_num_offers: 17
                      product_minimum_offer_price: $79.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 200+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: false
                    - asin: B0DNRGQRB4
                      product_title: >-
                        Samsung Galaxy A16 4G Dual SIM (128GB, 2025) 6.7&quot;
                        90Hz AMOLED, Splash Resistant, 8Core, 50MP Camera
                        (Factory Unlocked International Model for GSM, Global)
                        A165M/DS (25W Fast Charger Bundle, Grey)
                      product_price: $127.50
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 1841
                      product_url: https://www.amazon.com/dp/B0DNRGQRB4
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51qEkCjW6wL._AC_UY654_QL65_.jpg
                      product_num_offers: 11
                      product_minimum_offer_price: $123.87
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 500+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: true
                    - asin: B0F49DQKT8
                      product_title: >-
                        SAMSUNG Galaxy A36 5G 2025 | 256GB, Dual SIM | 6.7&quot;
                        120Hz AMOLED, IP67 Water Resistant, Android 15 |
                        International Model Factory Unlocked for T-Mobile &amp;
                        Global | 25W Fast Charger Bundle (Black)
                      product_price: $275.00
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.3'
                      product_num_ratings: 234
                      product_url: https://www.amazon.com/dp/B0F49DQKT8
                      product_photo: >-
                        https://m.media-amazon.com/images/I/41CtyAEAmrL._AC_UY654_QL65_.jpg
                      product_num_offers: 11
                      product_minimum_offer_price: $269.00
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      product_availability: Only 1 left in stock - order soon.
                      climate_pledge_friendly: false
                      sales_volume: 500+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Sat, Mar
                        7Only 1 left in stock - order soon.
                      has_variations: true
                    - asin: B0D52DG499
                      product_title: >-
                        SAMSUNG Galaxy A03s Cell Phone, Unlocked Android
                        Smartphone, 32GB, Long Lasting Battery, Expandable
                        Storage, 3 Camera Lenses, Infinite Display - Black
                        (Renewed)
                      product_price: $69.99
                      product_original_price: null
                      currency: USD
                      product_star_rating: '3.7'
                      product_num_ratings: 83
                      product_url: https://www.amazon.com/dp/B0D52DG499
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51Ebpy1OE7L._AC_UY654_QL65_.jpg
                      product_num_offers: 10
                      product_minimum_offer_price: $67.93
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 500+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: false
                    - asin: B0CCPNDQCP
                      product_title: >-
                        Samsung Galaxy A14 5G Unlocked, 6.6-Inch Infinity-V
                        Display, 1080x2408 FHD+, PLS LCD, Android 13, One UI
                        Core 5, Bluetooth 5.2, 64GB ROM, 4GB RAM, Expandable
                        MicroSD
                      product_price: $89.99
                      product_original_price: $95.87
                      currency: USD
                      product_star_rating: '3.8'
                      product_num_ratings: 177
                      product_url: https://www.amazon.com/dp/B0CCPNDQCP
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51drJV2ZGCL._AC_UY654_QL65_.jpg
                      product_num_offers: 5
                      product_minimum_offer_price: $69.99
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      product_availability: Only 2 left in stock - order soon.
                      climate_pledge_friendly: false
                      sales_volume: 300+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6Only 2 left in stock - order soon.
                      has_variations: false
                    - asin: B09LG4PSB6
                      product_title: >-
                        Samsung Galaxy S20 FE 5G, US Version, 128GB, Blue -
                        Verizon (Renewed)
                      product_price: $146.44
                      product_original_price: $237.55
                      currency: USD
                      product_star_rating: '4'
                      product_num_ratings: 10965
                      product_url: https://www.amazon.com/dp/B09LG4PSB6
                      product_photo: >-
                        https://m.media-amazon.com/images/I/51yxI5nkPWL._AC_UY654_QL65_.jpg
                      product_num_offers: 12
                      product_minimum_offer_price: $129.95
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 200+ bought in past month
                      delivery: >-
                        FREE delivery Tue, Mar 10Or fastest delivery Tomorrow,
                        Mar 6
                      has_variations: true
                    - asin: B0C544TBQM
                      product_title: >-
                        Samsung Galaxy S23 Ultra 5G, US Version, 256GB, Phantom
                        Black - Unlocked (Renewed)
                      product_price: $422.51
                      product_original_price: null
                      currency: USD
                      product_star_rating: '4.1'
                      product_num_ratings: 2680
                      product_url: https://www.amazon.com/dp/B0C544TBQM
                      product_photo: >-
                        https://m.media-amazon.com/images/I/513vXUcPFrL._AC_UY654_QL65_.jpg
                      product_num_offers: 9
                      product_minimum_offer_price: $374.00
                      is_best_seller: false
                      is_amazon_choice: false
                      is_prime: false
                      climate_pledge_friendly: false
                      sales_volume: 1K+ bought in past month
                      delivery: FREE delivery Mar 13 - 19Or fastest delivery Mar 13 - 18
                      has_variations: true
                requestId: da567eb8-2e2f-44b7-964e-65f6763264df
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: 'Missing required parameter: handle'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/amazon/search?query=Phone&page=1&country=us&sort_by=RELEVANCE&category_id=aps&min_price=0&max_price=1000&product_condition=ALL&brand=SAMSUNG&is_prime=false&deals_and_discounts=NONE' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/amazon/search',
                params={"query": "Phone", "page": 1, "country": "us", "sort_by": "RELEVANCE", "category_id": "aps", "min_price": 0, "max_price": "1000", "product_condition": "ALL", "brand": "SAMSUNG", "is_prime": "false", "deals_and_discounts": "NONE"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"query": "Phone", "page": 1,
            "country": "us", "sort_by": "RELEVANCE", "category_id": "aps",
            "min_price": 0, "max_price": "1000", "product_condition": "ALL",
            "brand": "SAMSUNG", "is_prime": "false", "deals_and_discounts":
            "NONE"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/amazon/search?${params}`, {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````